Subject: bug#70664: 29.3; vtable-insert-object cannot insert at top of table

From: Joost Kremers <[email-masked]>
Date: Tue, 30 Apr 2024 11:30:47 +0200

The current implementation of `vtable.el` provides the function
`vtable-insert-object` to add an object to the vtable. Its signature is this:

    vtable-insert-object table object &optional after-object

The doc string says that if AFTER-OBJECT is not provided, the new object is
added to the end of the table. This makes it impossible to add an object as the
first element of the table.

Note that although this e-mail is written from Emacs 29.3, the version of
`vtable.el` in master has the same problem.

[All the diagnostic info that `M-x report-emacs-bug` usually gathers should
appear here, but there was a problem with the buffer being read-only. I'll have
to look into that, but for this report, this info isn't relevant, I think.]

TIA

-- 
Joost Kremers
Life has its moments